import { reactive, ref } from 'vue';

function useRoleState() {
  const userRoleOrTemplate = ref();

  function setUserRoleOrTemplate(newUserRoleOrTemplate) {
    userRoleOrTemplate.value = newUserRoleOrTemplate;
  }


  return {
    userRoleOrTemplate,
    setUserRoleOrTemplate,
  };
}

const useRoleStateSingleton = useRoleState();

export {useRoleStateSingleton};

